Loading...
Searching...
No Matches
pcl::device::CalcMorton Struct Reference

`#include </build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/octree/src/utils/morton.hpp>`

## Public Member Functions

__device__ __host__ __forceinline__ | CalcMorton (float3 minp, float3 maxp)
__device__ __host__ __forceinline__ Morton::code_t | operator() (const float3 &p) const
__device__ __host__ __forceinline__ Morton::code_t | operator() (const float4 &p) const

## Public Attributes

float3 | minp_
float3 | dims_

## Static Public Attributes

static const int | depth_mult = 1 << Morton::levels

## Detailed Description

Definition at line 110 of file morton.hpp.

## Constructor & Destructor Documentation

## CalcMorton()

__device__ __host__ __forceinline__ pcl::device::CalcMorton::CalcMorton | ( | float3 | minp,
|  | float3 | maxp
| ) |  |

inline

Definition at line 117 of file morton.hpp.

References dims_.

## Member Function Documentation

## operator()() [1/2]

__device__ __host__ __forceinline__ Morton::code_t pcl::device::CalcMorton::operator() | ( | const float3 & | p | ) | const

inline

Definition at line 124 of file morton.hpp.

References pcl::device::Morton::createCode(), depth_mult, dims_, and minp_.

## operator()() [2/2]

__device__ __host__ __forceinline__ Morton::code_t pcl::device::CalcMorton::operator() | ( | const float4 & | p | ) | const

inline

Definition at line 134 of file morton.hpp.

## Member Data Documentation

## depth_mult

const int pcl::device::CalcMorton::depth_mult = 1 << Morton::levels

static

Definition at line 112 of file morton.hpp.

Referenced by operator()().

## dims_

float3 pcl::device::CalcMorton::dims_

Definition at line 115 of file morton.hpp.

Referenced by CalcMorton(), and operator()().

## minp_

float3 pcl::device::CalcMorton::minp_

Definition at line 114 of file morton.hpp.

Referenced by operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/octree/src/utils/morton.hpp